%global srcname ifaddr
%global _description \
ifaddr is a small Python library that allows you to find all the IP addresses\
of the computer.

Name:           python-%{srcname}
Version:        0.2.0
Release:        4%{?dist}
Summary:        Python library that allows you to find all the IP addresses of the computer

License:        MIT
URL:            https://pypi.org/project/ifaddr
Source:         %{pypi_source}

BuildArch:      noarch

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 0.2.0-4
- Bump release for October 2024 mass rebuild:
  Resolves: RHEL-64018

* Mon Sep 23 2024 Rafael Jeffman <rjeffman@redhat.com> - 0.2.0-3
- Bump version for re-tagging due to beta release.
  Resolves: RHEL-39531

* Tue Sep 19 2024 Rafael Jeffman <rjeffman@redhat.com> - 0.2.0-2
- Bump version for release rebuild.
  Resolves: RHEL-39531

* Mon Aug 26 2024 Rafael Jeffman <rjeffman@redhat.com> - 0.2.0-1
- Inital RHEL import
  Resolves: RHEL-39531
